#include<bits/stdc++.h>
using namespace std;

int N;
int cur,pre;
int niz[200008];
int T;
int s,e;

int main(){
    scanf("%d",&N);
    scanf("%d",&pre);
    niz[0]=0;
    for(int i=1;i<N;i++){
        scanf("%d",&cur);
        niz[i]=niz[i-1];
        if(cur<pre) niz[i]++;
        pre=cur;
    }
    scanf("%d",&T);
    for(int i=1;i<=T;i++){
        scanf("%d %d",&s,&e);
        if(niz[e-1]-niz[s-1]>1)
            printf("NE\n");
        else
            printf("DA\n");
    }
    return 0;
}